from django.db import models
from django.conf import settings


class Journal(models.Model):
    timestamp = models.DateTimeField(
        verbose_name=u'Horodatage',
        db_index=True,
        auto_now_add=True)
    actor = models.ForeignKey(
        settings.AUTH_USER_MODEL,
        verbose_name=u'Auteur',
        related_name='actor_journal')
    subject = models.ForeignKey(
        settings.AUTH_USER_MODEL,
        verbose_name='Sujet',
        related_name='subject_journal')
    message = models.TextField(
        verbose_name='Message')

    class Meta:
        verbose_name = 'historique'
        verbose_name_plural = 'historiques'
        ordering = ('-timestamp', '-id')
